import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { TokenAuth } from '../../providers/token-auth';

@Component({
  selector: 'page-login',
  templateUrl: 'login.html'
})

export class Login {

    url: string;
    username: string;
    password: string;

    constructor(public navCtrl: NavController) {}

    ionViewDidLoad() {
        console.log('Hello Login Page');
    }

    // Check if introduced url is valid
    checkUrl(): boolean {
        return this.url.includes('.');
    }

    // Signin odoo
    signin(): void {
        if (!this.checkUrl()) {
            return;
        }

        console.log(this.url);
    }
}
